<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8"/>
    <title>Comment API - Reply</title>
<link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
<link rel="apple-touch-icon" sizes="57x57" href="apple-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="apple-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="apple-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="apple-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="apple-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="apple-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="apple-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="apple-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="apple-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192"  href="android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
<meta name="theme-color" content="#ffffff">
<!--[if IE 7]>
<!--<link rel="stylesheet" href="font-awesome/css/font-awesome-ie7.min.css">-->

<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/all.min.css">
<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/v4-shims.min.css">

<!-- JQuery -->
<script type="text/javascript" src="scripts/jquery-1.11.1.min.js"></script><link rel="stylesheet" type="text/css" href="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.css">
<link rel="stylesheet" type="text/css" href="chartist/dist/chartist.min.css">
<script src="chartist/dist/chartist.min.js"></script>
<script src="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.js"></script>
<!-- Required Stylesheets -->
<link href="bootstrap-treeview/dist/bootstrap-treeview.min.css" rel="stylesheet">

<!-- Required Javascript -->
<script src="bootstrap-treeview/dist/bootstrap-treeview.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>
<link rel="stylesheet" href="css/core.css"/>
<link rel="stylesheet" href="css/link.css"/>
<link type="text/css" media="screen" href="css/screen.css" rel="Stylesheet"/><!-- JQuery-UI -->
<link type="text/css" href="jqueryui/1.11.2-start/jquery-ui.min.css" rel="Stylesheet" />
<script type="text/javascript" src="jqueryui/1.11.2-start/jquery-ui.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>
<!-- ImgPreview -->
<script src="scripts/imgpreview.full.jquery.js" type="text/javascript"></script>
</head>

<body class="results-page">


<div id="topheader">
    <div id="topbanner">
        <div id="logo"><a href="index.html"><img src="images/serenity-logo.png" border="0"/></a></div>
        <div id="projectname-banner" style="float:right">
            <span class="projectname">
                <span class="projecttitle">earthnew.media BDD Report</span>
                <span class="projectsubtitle"></span>
            </span>
        </div>
    </div>
</div>

<div class="middlecontent">
    <div id="contenttop">
        <div class="middlebg">
        <span class="breadcrumbs">
            <a href="index.html" class="breadcrumbs">Home</a>

            > <a href="5b0b500db2dfd98ccb3584eed6275bc7ba4d506665983d1b8fc2e8acb36c8678.html">Api</a>
            > <a href="ab734688a5b497119987271b114d2e41d1b80959a1ef0c83762f7da0fe3a10e8.html">Comment API</a>
        > Comment API - Reply
        </span>
        </div>
        <div class="rightbg"></div>
    </div>

    <div class="clr"></div>

    <!--/* starts second table*/-->
<div>
    <ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#"><i class="fa fa-check-square-o"></i> Overall Test Results</a>
        </li>
        <li >
            <a href="capabilities.html"><i class="fa fa-book"></i> Requirements</a>
        </li>
        <li >
            <a href="7ea0a5e2d679b9deeda9910ae4a9bcd3a281e0d908303a9e16e486103e98880c.html"><i class="fa fa-comments-o"></i> Capabilities</a>
        </li>
        <li >
            <a href="576946480b52ad056d6f5bddf874399c83582ecf90963cc074a14c70580e7d9f.html"><i class="fa fa-comments-o"></i> Features</a>
        </li>
    </ul>
    <span class="date-and-time"><a href="build-info.html"><i class="fa fa-info-circle"></i></a> Report generated 07-04-2020 08:26</span>
    <br style="clear:left"/>
</div>
    <div class="clr"></div>


    <div id="contentbody">
        <div class="titlebar">
            <div class="story-title">
                <table class="outcome-header">
                    <tr>
                        <td>
                                <div>
                                    <h3 class="discreet-story-header">
                                        <i class="fa fa-2x fa-comments-o"></i>
                                        <span class="story-header-title">Comment API </span>
                                    </h3>

                                </div>

                        </td>
                        <td valign="top">
                                <p class="tag">
                                    <span class="badge tag-badge" style="background:default;">
                                    <i class="fa fa-tag"></i>&nbsp;<a class="tagLink" style="background:default;"
                                                                      href="c53bb087c1762a0c2aec947e24659759dfab8d52a1634b575e08347af2ae4ab2.html">Comment
                                    (tag)</a>
                                </span>
                                </p>
                                <p class="tag">
                                    <span class="badge tag-badge" style="background:default;">
                                    <i class="fa fa-tag"></i>&nbsp;<a class="tagLink" style="background:default;"
                                                                      href="73b19892d3a17aec91c0c31498590d5a95e9646c973896c93268414041a4e4bd.html">P1-Co1-1
                                    (phase)</a>
                                </span>
                                </p>
                                <p class="tag">
                                    <span class="badge tag-badge" style="background:default;">
                                    <i class="fa fa-tag"></i>&nbsp;<a class="tagLink" style="background:default;"
                                                                      href="03c38abc150ec1d5070f58913415ff083b86c70994705a423d87e59bdc0f9a7e.html">Api
                                    (tag)</a>
                                </span>
                                </p>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="story-title">
                <table class="outcome-header">
                    <tr>
                        <td colspan="2" class="test-title-bar">
                            <span class="outcome-icon"><a href='##beforetable'><i class='far fa-stop-circle pending-icon fa-2x' title='PENDING'></i></a></span>
                            <span class="test-case-title">
                                <span class="pending-color">
                                    Comment API - Reply
                                        <span class="related-issue-title"></span>
                                </span>
                            </span>

                        </td>
                    </tr>
                </table>
            </div>


                <!-- CAST MEMBERS -->
                <div>&nbsp;</div>
                <div class="story-title">
                    <table class="outcome-header">
                        <tr>
                            <td>
                                <div>
                                    <h3 class="discreet-story-header">
                                        <i class="fa fa-2x fa-users"></i>
                                        <span class="story-header-title">
                                            <a class="btn btn-primary" data-toggle="collapse" href="#castDetails"
                                               role="button" aria-expanded="true" aria-controls="castDetails">Cast</a>
                                        </span>
                                    </h3>

                                    <div class="cast-member collapse" id="castDetails">
                                        <table class="cast">
                                            <tr>
                                                    <td width="33.333333%">
                                                        <h4>
                                                            <i class="fa fa-2x fa-user-o"></i>&nbsp;<span>Administrator</span>
                                                            <h4>
                                                                <p></p>
                                                                <ul>
                                                                        <li><strong>Administrator can:</strong>
                                                                            <ul>
                                                                                    <li>browse the web</li>
                                                                                    <li>earthnewmedia.bdd.abilities.Authenticate@c246d24</li>
                                                                                    <li>call an API at http://localhost:3000</li>
                                                                            </ul>
                                                                        </li>
                                                                </ul>
                                                    </td>
                                                    <td width="33.333333%">
                                                        <h4>
                                                            <i class="fa fa-2x fa-user-o"></i>&nbsp;<span>John</span>
                                                            <h4>
                                                                <p></p>
                                                                <ul>
                                                                        <li><strong>John can:</strong>
                                                                            <ul>
                                                                                    <li>browse the web</li>
                                                                                    <li>earthnewmedia.bdd.abilities.Authenticate@38caeece</li>
                                                                                    <li>call an API at http://localhost:3000</li>
                                                                            </ul>
                                                                        </li>
                                                                </ul>
                                                    </td>
                                                    <td width="33.333333%">
                                                        <h4>
                                                            <i class="fa fa-2x fa-user-o"></i>&nbsp;<span>Jane</span>
                                                            <h4>
                                                                <p></p>
                                                                <ul>
                                                                        <li><strong>Jane can:</strong>
                                                                            <ul>
                                                                                    <li>browse the web</li>
                                                                                    <li>earthnewmedia.bdd.abilities.Authenticate@23639748</li>
                                                                                    <li>call an API at http://localhost:3000</li>
                                                                            </ul>
                                                                        </li>
                                                                </ul>
                                                    </td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
                <!-- END CAST MEMBERS -->


        </div>
    </div>

    <div class="clr"></div>


    <div id="beforetable"></div>


    <div id="tablecontents">
        <div>
            <table class="step-table">
                <tr class="step-titles">
                    <th width="65">
                    </th>
                    <th class="step-description-column greentext">
                        Steps
                    </th>

                    <th width="130" class="greentext">Outcome</th>
                    <th width="100" class="greentext"><i title="Duration" class="far fa-clock"></i></th>
                </tr>
                <tr class="step-table-separator">
                    <td colspan="5"></td>
                </tr>

                    <tr class="test-SUCCESS">

                        <td width="50" class="step-icon">
                            <a name="0"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection0 success-icon"
                                       style="margin-left: 20px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0')"
                                   style="display:block;">
                                    <span class="top-level-step">
                                                Given that an admin was able to initialize the system under test
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">SUCCESS</span></td>
                        <td width="100"><span class="top-level-step">0.47s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection0" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="0-0"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                {1} is an actor using the system under test
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>
                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="0-1"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                The Actor can call the rest api
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>
                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="0-2"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0-2')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection0-2 success-icon"
                                       style="margin-left: 40px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0-2')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                Administrator logs into api using credentials
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.12s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection0-2" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="90" class="step-icon">
                            <a name="0-2-0"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0-2-0')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection0-2-0 success-icon"
                                       style="margin-left: 60px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0-2-0')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                Administrator executes a POST on the resource /login
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.1s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection0-2-0" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="110" class="step-icon">
                            <a name="0-2-0-0"></a>
                                <span style="margin-left: 80px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                POST http://localhost:3000/login
                                        </span>
                                <span class="evidence">
                                        <span class="piece-of-evidence">
                    <span>
                        <button type="button" class="btn btn-success btn-sm" data-toggle="collapse"
                                data-target="#restModal-REST-6">
                            REST Query
                        </button>
                    </span>
                    <!-- Modal -->
                    <div class="rest-query-details">
                        <div class="collapse multi-collapse" id="restModal-REST-6">
                            <div class="card">
                                <div class="card-body">
                                    <h4>Response</h4>
                                        <p>Status code: 200</p>
                                        <p>Content Type: application/json</p>
                                        <h4>Request Headers</h4>
                                        <pre>Accept=*/*<br>Content-Type=application/json; charset=UTF-8</pre>
                                        <h4>Content Body</h4>
                                        <pre>{<br>    &quot;email&quot;: &quot;admin@example.com&quot;,<br>    &quot;password&quot;: &quot;password0&quot;<br>}</pre>
                                        <h4>Response Headers</h4>
                                        <pre>X-Powered-By: Express<br>Access-Control-Allow-Origin: *<br>Access-Control-Allow-Credentials: true<br>Content-Type: application/json<br>Date: Tue, 07 Apr 2020 15:26:17 GMT<br>Connection: keep-alive<br>Content-Length: 273</pre>
                                    <h4>Response Body</h4>
                                        <pre>{<br>    &quot;token&quot;: &quot;eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjVlOGM5Yjk4ZDQzNGQ1NDczNmJjNmExNiIsIm5hbWUiOiJBZG1pbmlzdHJhdG9yIiwicm9sZXMiOlsiYWRtaW4iXSwiaWF0IjoxNTg2MjczMTc3LCJleHAiOjE1ODYyOTExNzd9.bcEF0eIVrpEOYmVgYMwj0BSTirH-BHMZArEWzhKCqh8&quot;,<br>    &quot;userId&quot;: &quot;5e8c9b98d434d54736bc6a16&quot;<br>}</pre>
                                </div>
                            </div>
                        </div>
                    </div>
                                        </span>
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>

                                </table>
                            </td>
                        </tr>

                                </table>
                            </td>
                        </tr>
                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="0-3"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0-3')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection0-3 success-icon"
                                       style="margin-left: 40px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0-3')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                Administrator initializes the system under test
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.34s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection0-3" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="90" class="step-icon">
                            <a name="0-3-0"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0-3-0')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection0-3-0 success-icon"
                                       style="margin-left: 60px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection0-3-0')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                Administrator executes a POST on the resource /test/init-fixtures
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.33s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection0-3-0" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="110" class="step-icon">
                            <a name="0-3-0-0"></a>
                                <span style="margin-left: 80px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                GET http://localhost:3000/test/init-fixtures
                                        </span>
                                <span class="evidence">
                                        <span class="piece-of-evidence">
                    <span>
                        <button type="button" class="btn btn-success btn-sm" data-toggle="collapse"
                                data-target="#restModal-REST-9">
                            REST Query
                        </button>
                    </span>
                    <!-- Modal -->
                    <div class="rest-query-details">
                        <div class="collapse multi-collapse" id="restModal-REST-9">
                            <div class="card">
                                <div class="card-body">
                                    <h4>Response</h4>
                                        <p>Status code: 200</p>
                                        <p>Content Type: application/json</p>
                                        <h4>Request Headers</h4>
                                        <pre>Authorization=Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjVlOGM5Yjk4ZDQzNGQ1NDczNmJjNmExNiIsIm5hbWUiOiJBZG1pbmlzdHJhdG9yIiwicm9sZXMiOlsiYWRtaW4iXSwiaWF0IjoxNTg2MjczMTc3LCJleHAiOjE1ODYyOTExNzd9.bcEF0eIVrpEOYmVgYMwj0BSTirH-BHMZArEWzhKCqh8<br>Accept=*/*<br>Content-Type=application/json; charset=UTF-8</pre>
                                        <h4>Response Headers</h4>
                                        <pre>X-Powered-By: Express<br>Access-Control-Allow-Origin: *<br>Access-Control-Allow-Credentials: true<br>Content-Type: application/json<br>Date: Tue, 07 Apr 2020 15:26:17 GMT<br>Connection: keep-alive<br>Content-Length: 35</pre>
                                    <h4>Response Body</h4>
                                        <pre>{<br>    &quot;date&quot;: &quot;2020-04-07T15:26:17.904Z&quot;<br>}</pre>
                                </div>
                            </div>
                        </div>
                    </div>
                                        </span>
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>

                                </table>
                            </td>
                        </tr>

                                </table>
                            </td>
                        </tr>

                                </table>
                            </td>
                        </tr>
                    <tr class="test-SUCCESS">

                        <td width="50" class="step-icon">
                            <a name="1"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection1')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection1 success-icon"
                                       style="margin-left: 20px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection1')"
                                   style="display:block;">
                                    <span class="top-level-step">
                                                And that "John" is a Member with the account data<br><table class='embedded'><thead><th>slug</th><th>johndoe</th></thead><tbody><tr><td>email</td><td>john@example.com</td></tr><tr><td>userName</td><td>JohnDoe</td></tr><tr><td>password</td><td>password2</td></tr></tbody></table>
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">SUCCESS</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection1" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="1-0"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                {1} is an actor using the system under test
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>
                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="1-1"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                The Actor is a Member
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>
                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="1-2"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                The Actor can authenticate as earthnewmedia.bdd.model.User(null, null, johndoe, john@example.com, JohnDoe, password2)
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>

                                </table>
                            </td>
                        </tr>
                    <tr class="test-SUCCESS">

                        <td width="50" class="step-icon">
                            <a name="2"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection2')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection2 success-icon"
                                       style="margin-left: 20px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection2')"
                                   style="display:block;">
                                    <span class="top-level-step">
                                                And he was able to start using the rest api
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">SUCCESS</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection2" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="2-0"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                The Actor can call the rest api
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>

                                </table>
                            </td>
                        </tr>
                    <tr class="test-SUCCESS">

                        <td width="50" class="step-icon">
                            <a name="3"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection3')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection3 success-icon"
                                       style="margin-left: 20px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection3')"
                                   style="display:block;">
                                    <span class="top-level-step">
                                                And he was able to login to the api with valid credentials
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">SUCCESS</span></td>
                        <td width="100"><span class="top-level-step">0.12s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection3" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="3-0"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection3-0')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection3-0 success-icon"
                                       style="margin-left: 40px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection3-0')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                John logs into api using credentials
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.11s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection3-0" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="90" class="step-icon">
                            <a name="3-0-0"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection3-0-0')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection3-0-0 success-icon"
                                       style="margin-left: 60px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection3-0-0')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                John executes a POST on the resource /login
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.09s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection3-0-0" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="110" class="step-icon">
                            <a name="3-0-0-0"></a>
                                <span style="margin-left: 80px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                POST http://localhost:3000/login
                                        </span>
                                <span class="evidence">
                                        <span class="piece-of-evidence">
                    <span>
                        <button type="button" class="btn btn-success btn-sm" data-toggle="collapse"
                                data-target="#restModal-REST-19">
                            REST Query
                        </button>
                    </span>
                    <!-- Modal -->
                    <div class="rest-query-details">
                        <div class="collapse multi-collapse" id="restModal-REST-19">
                            <div class="card">
                                <div class="card-body">
                                    <h4>Response</h4>
                                        <p>Status code: 200</p>
                                        <p>Content Type: application/json</p>
                                        <h4>Request Headers</h4>
                                        <pre>Accept=*/*<br>Content-Type=application/json; charset=UTF-8</pre>
                                        <h4>Content Body</h4>
                                        <pre>{<br>    &quot;email&quot;: &quot;john@example.com&quot;,<br>    &quot;password&quot;: &quot;password2&quot;<br>}</pre>
                                        <h4>Response Headers</h4>
                                        <pre>X-Powered-By: Express<br>Access-Control-Allow-Origin: *<br>Access-Control-Allow-Credentials: true<br>Content-Type: application/json<br>Date: Tue, 07 Apr 2020 15:26:17 GMT<br>Connection: keep-alive<br>Content-Length: 267</pre>
                                    <h4>Response Body</h4>
                                        <pre>{<br>    &quot;token&quot;: &quot;eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjVlOGM5Yjk5ZDQzNGQ1NDczNmJjNmEyMyIsIm5hbWUiOiJKb2huRG9lIiwicm9sZXMiOlsibWVtYmVyIl0sImlhdCI6MTU4NjI3MzE3OCwiZXhwIjoxNTg2MjkxMTc4fQ.rEjzUHcNCrMjmO5yVKZMOCoy8wWVZAbU2vpOA5VatIA&quot;,<br>    &quot;userId&quot;: &quot;5e8c9b99d434d54736bc6a23&quot;<br>}</pre>
                                </div>
                            </div>
                        </div>
                    </div>
                                        </span>
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>

                                </table>
                            </td>
                        </tr>

                                </table>
                            </td>
                        </tr>

                                </table>
                            </td>
                        </tr>
                    <tr class="test-SUCCESS">

                        <td width="50" class="step-icon">
                            <a name="4"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection4')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection4 success-icon"
                                       style="margin-left: 20px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection4')"
                                   style="display:block;">
                                    <span class="top-level-step">
                                                And that "Jane" is a Member with the account data<br><table class='embedded'><thead><th>slug</th><th>janedoe</th></thead><tbody><tr><td>email</td><td>jane@example.com</td></tr><tr><td>userName</td><td>JaneDoe</td></tr><tr><td>password</td><td>password3</td></tr></tbody></table>
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">SUCCESS</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection4" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="4-0"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                {1} is an actor using the system under test
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>
                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="4-1"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                The Actor is a Member
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>
                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="4-2"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                The Actor can authenticate as earthnewmedia.bdd.model.User(null, null, janedoe, jane@example.com, JaneDoe, password3)
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>

                                </table>
                            </td>
                        </tr>
                    <tr class="test-SUCCESS">

                        <td width="50" class="step-icon">
                            <a name="5"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection5')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection5 success-icon"
                                       style="margin-left: 20px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection5')"
                                   style="display:block;">
                                    <span class="top-level-step">
                                                And she was able to start using the rest api
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">SUCCESS</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection5" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="5-0"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                The Actor can call the rest api
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>

                                </table>
                            </td>
                        </tr>
                    <tr class="test-SUCCESS">

                        <td width="50" class="step-icon">
                            <a name="6"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection6')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection6 success-icon"
                                       style="margin-left: 20px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection6')"
                                   style="display:block;">
                                    <span class="top-level-step">
                                                And she was able to login to the api with valid credentials
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">SUCCESS</span></td>
                        <td width="100"><span class="top-level-step">0.12s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection6" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="6-0"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection6-0')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection6-0 success-icon"
                                       style="margin-left: 40px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection6-0')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                Jane logs into api using credentials
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.11s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection6-0" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="90" class="step-icon">
                            <a name="6-0-0"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection6-0-0')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection6-0-0 success-icon"
                                       style="margin-left: 60px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection6-0-0')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                Jane executes a POST on the resource /login
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.09s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection6-0-0" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="110" class="step-icon">
                            <a name="6-0-0-0"></a>
                                <span style="margin-left: 80px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                POST http://localhost:3000/login
                                        </span>
                                <span class="evidence">
                                        <span class="piece-of-evidence">
                    <span>
                        <button type="button" class="btn btn-success btn-sm" data-toggle="collapse"
                                data-target="#restModal-REST-29">
                            REST Query
                        </button>
                    </span>
                    <!-- Modal -->
                    <div class="rest-query-details">
                        <div class="collapse multi-collapse" id="restModal-REST-29">
                            <div class="card">
                                <div class="card-body">
                                    <h4>Response</h4>
                                        <p>Status code: 200</p>
                                        <p>Content Type: application/json</p>
                                        <h4>Request Headers</h4>
                                        <pre>Accept=*/*<br>Content-Type=application/json; charset=UTF-8</pre>
                                        <h4>Content Body</h4>
                                        <pre>{<br>    &quot;email&quot;: &quot;jane@example.com&quot;,<br>    &quot;password&quot;: &quot;password3&quot;<br>}</pre>
                                        <h4>Response Headers</h4>
                                        <pre>X-Powered-By: Express<br>Access-Control-Allow-Origin: *<br>Access-Control-Allow-Credentials: true<br>Content-Type: application/json<br>Date: Tue, 07 Apr 2020 15:26:18 GMT<br>Connection: keep-alive<br>Content-Length: 267</pre>
                                    <h4>Response Body</h4>
                                        <pre>{<br>    &quot;token&quot;: &quot;eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjVlOGM5Yjk5ZDQzNGQ1NDczNmJjNmEyNSIsIm5hbWUiOiJKYW5lRG9lIiwicm9sZXMiOlsibWVtYmVyIl0sImlhdCI6MTU4NjI3MzE3OCwiZXhwIjoxNTg2MjkxMTc4fQ._FGIoUyjns1kVmDolLUHUfynhnrfYXkpQfeOhQQgJwo&quot;,<br>    &quot;userId&quot;: &quot;5e8c9b99d434d54736bc6a25&quot;<br>}</pre>
                                </div>
                            </div>
                        </div>
                    </div>
                                        </span>
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>

                                </table>
                            </td>
                        </tr>

                                </table>
                            </td>
                        </tr>

                                </table>
                            </td>
                        </tr>
                    <tr class="test-SUCCESS">

                        <td width="50" class="step-icon">
                            <a name="7"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection7')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection7 success-icon"
                                       style="margin-left: 20px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection7')"
                                   style="display:block;">
                                    <span class="top-level-step">
                                                Given "Jane" was able to use the api to create a library with<br><table class='embedded'><thead><th>access</th><th>Public</th></thead><tbody><tr><td>libraryType</td><td>Discussion</td></tr><tr><td>name</td><td>My Discussions</td></tr><tr><td>description</td><td>My Description</td></tr></tbody></table>
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">SUCCESS</span></td>
                        <td width="100"><span class="top-level-step">0.03s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection7" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="7-0"></a>
                                <span style="margin-left: 40px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                {1} is an actor using the system under test
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>
                    <tr class="test-SUCCESS">

                        <td width="70" class="step-icon">
                            <a name="7-1"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection7-1')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection7-1 success-icon"
                                       style="margin-left: 40px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection7-1')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                Jane attempts to POST to api at /users/5e8c9b99d434d54736bc6a25/libraries with earthnewmedia.bdd.model.Library(Public, Discussion, My Discussions, My Description)
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.02s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection7-1" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="90" class="step-icon">
                            <a name="7-1-0"></a>
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection7-1-0')"
                                   style="display:block">
                                    <i class="fa fa-plus-square-o imgstepSection7-1-0 success-icon"
                                       style="margin-left: 60px; float:left; padding-right:5px"></i>
                                </a>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                <a href="javaScript:void(0)" onClick="toggleDiv('stepSection7-1-0')"
                                   style="display:block;">
                                    <span class="nested-step">
                                                Jane executes a POST on the resource /users/5e8c9b99d434d54736bc6a25/libraries
                                        </span>
                                </a>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-step">0.02s</span></td>
                    </tr>
                        <tr>
                            <td colspan="5">
                                <table id="stepSection7-1-0" class="step-table-nested" style="display:none;">

                    <tr class="test-SUCCESS">

                        <td width="110" class="step-icon">
                            <a name="7-1-0-0"></a>
                                <span style="margin-left: 80px;"
                                      class="nested-group-icon"><a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="nested-group-step">
                                                POST http://localhost:3000/users/5e8c9b99d434d54736bc6a25/libraries
                                        </span>
                                <span class="evidence">
                                        <span class="piece-of-evidence">
                    <span>
                        <button type="button" class="btn btn-success btn-sm" data-toggle="collapse"
                                data-target="#restModal-REST-34">
                            REST Query
                        </button>
                    </span>
                    <!-- Modal -->
                    <div class="rest-query-details">
                        <div class="collapse multi-collapse" id="restModal-REST-34">
                            <div class="card">
                                <div class="card-body">
                                    <h4>Response</h4>
                                        <p>Status code: 200</p>
                                        <p>Content Type: application/json</p>
                                        <h4>Request Headers</h4>
                                        <pre>Authorization=Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjVlOGM5Yjk5ZDQzNGQ1NDczNmJjNmEyNSIsIm5hbWUiOiJKYW5lRG9lIiwicm9sZXMiOlsibWVtYmVyIl0sImlhdCI6MTU4NjI3MzE3OCwiZXhwIjoxNTg2MjkxMTc4fQ._FGIoUyjns1kVmDolLUHUfynhnrfYXkpQfeOhQQgJwo<br>Accept=*/*<br>Content-Type=application/json; charset=UTF-8</pre>
                                        <h4>Content Body</h4>
                                        <pre>{<br>    &quot;access&quot;: &quot;Public&quot;,<br>    &quot;libraryType&quot;: &quot;Discussion&quot;,<br>    &quot;name&quot;: &quot;My Discussions&quot;,<br>    &quot;description&quot;: &quot;My Description&quot;<br>}</pre>
                                        <h4>Response Headers</h4>
                                        <pre>X-Powered-By: Express<br>Access-Control-Allow-Origin: *<br>Access-Control-Allow-Credentials: true<br>Content-Type: application/json<br>Date: Tue, 07 Apr 2020 15:26:18 GMT<br>Connection: keep-alive<br>Content-Length: 274</pre>
                                    <h4>Response Body</h4>
                                        <pre>{<br>    &quot;id&quot;: &quot;5e8c9b9ad434d54736bc6a27&quot;,<br>    &quot;slug&quot;: &quot;my-discussions&quot;,<br>    &quot;userId&quot;: &quot;5e8c9b99d434d54736bc6a25&quot;,<br>    &quot;access&quot;: &quot;Public&quot;,<br>    &quot;libraryType&quot;: &quot;Discussion&quot;,<br>    &quot;name&quot;: &quot;My Discussions&quot;,<br>    &quot;description&quot;: &quot;My Description&quot;,<br>    &quot;createdDate&quot;: &quot;2020-04-07T15:26:18.182Z&quot;,<br>    &quot;lastUpdate&quot;: &quot;2020-04-07T15:26:18.182Z&quot;<br>}</pre>
                                </div>
                            </div>
                        </div>
                    </div>
                                        </span>
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="nested-group-step">SUCCESS</span></td>
                        <td width="100"><span class="nested-group-step">0s</span></td>
                    </tr>

                                </table>
                            </td>
                        </tr>

                                </table>
                            </td>
                        </tr>

                                </table>
                            </td>
                        </tr>
                    <tr class="test-PENDING">

                        <td width="50" class="step-icon">
                            <a name="8"></a>
                                <span style="margin-left: 20px;"
                                      class="top-level-icon"><a href='##beforetable'><i class='far fa-stop-circle pending-icon ' title='PENDING'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="top-level-step">
                                                And she was able to use the api to create a discussion item with<br><table class='embedded'><thead><th>title</th><th>My Blog Post</th></thead><tbody><tr><td>description</td><td>My Descripton</td></tr><tr><td>metadata.uri</td><td>https://www.waweb.io/</td></tr></tbody></table>
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">PENDING</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                    <tr class="test-IGNORED">

                        <td width="50" class="step-icon">
                            <a name="9"></a>
                                <span style="margin-left: 20px;"
                                      class="top-level-icon"><a href='##beforetable'><i class='fa fa-ban ignored-icon ' title='IGNORED'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="top-level-step">
                                                And "John" was able to use the api to comment on "janedoe/my-discussions/my-blog-post" with
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">IGNORED</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                    <tr class="test-IGNORED">

                        <td width="50" class="step-icon">
                            <a name="10"></a>
                                <span style="margin-left: 20px;"
                                      class="top-level-icon"><a href='##beforetable'><i class='fa fa-ban ignored-icon ' title='IGNORED'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="top-level-step">
                                                When "Jane" attempts to use the api to reply to the comment with
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">IGNORED</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                    <tr class="test-IGNORED">

                        <td width="50" class="step-icon">
                            <a name="11"></a>
                                <span style="margin-left: 20px;"
                                      class="top-level-icon"><a href='##beforetable'><i class='fa fa-ban ignored-icon ' title='IGNORED'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="top-level-step">
                                                Then she should see that they received a 200 response
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">IGNORED</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                    <tr class="test-IGNORED">

                        <td width="50" class="step-icon">
                            <a name="12"></a>
                                <span style="margin-left: 20px;"
                                      class="top-level-icon"><a href='##beforetable'><i class='fa fa-ban ignored-icon ' title='IGNORED'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="top-level-step">
                                                And the response validates against the "comment-create" schema
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">IGNORED</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                    <tr class="test-IGNORED">

                        <td width="50" class="step-icon">
                            <a name="13"></a>
                                <span style="margin-left: 20px;"
                                      class="top-level-icon"><a href='##beforetable'><i class='fa fa-ban ignored-icon ' title='IGNORED'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="top-level-step">
                                                When "John" attempts to use the api to load the content "janedoe/my-discussions/my-blog-post"
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">IGNORED</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                    <tr class="test-IGNORED">

                        <td width="50" class="step-icon">
                            <a name="14"></a>
                                <span style="margin-left: 20px;"
                                      class="top-level-icon"><a href='##beforetable'><i class='fa fa-ban ignored-icon ' title='IGNORED'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="top-level-step">
                                                Then he should see that they received a 200 response
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">IGNORED</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                    <tr class="test-IGNORED">

                        <td width="50" class="step-icon">
                            <a name="15"></a>
                                <span style="margin-left: 20px;"
                                      class="top-level-icon"><a href='##beforetable'><i class='fa fa-ban ignored-icon ' title='IGNORED'></i></a>
                                </span>
                        </td>

                        <td class="step-description-column">
                            <div class="step-description">
                                    <span class="top-level-step">
                                                And the response contains a comment with the text "First Post!" that has the replies<br><table class='embedded'><tbody><tr><td>Second Post!</td></tr></tbody></table>
                                        </span>
                                <span class="evidence">
                                </span>
                            </div>
                        </td>

                        <td width="130"><span class="top-level-step">IGNORED</span></td>
                        <td width="100"><span class="top-level-step">0s</span></td>
                    </tr>
                <tr class="test-PENDING">
                        <td colspan="2"></td>
                    <td width="130"><span class="top-level-step"><em>PENDING</em></span></td>
                    <td width="100"><span class="top-level-step"><em>0.88s</em></span></td>
                </tr>

            </table>
        </div>
    </div>

    <div id="beforefooter"></div>


    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <span class="version">Serenity BDD version 2.2.0</span>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function toggleDiv(divId) {
            $("#" + divId).toggle();
            var imgsrc = $(".img" + divId).attr('src');
            if (imgsrc == 'images/plus.png') {
                $(".img" + divId).attr("src", function () {
                    return "images/minus.png";
                });

            } else {
                $(".img" + divId).attr("src", function () {
                    return "images/plus.png";
                });
            }
        }
    </script>


    <script type="text/javascript">
        //<![CDATA[

        $(document).ready(function () {
            $('img.screenshot').imgPreview({
                imgCSS: {
                    width: '500px'
                },
                distanceFromCursor: {top: 10, left: -200}
            });
        });

        //]]>
    </script>
    <div id="imgPreviewContainer" style="position: absolute; top: 612px; left: 355px; display: none; " class=""><img
                src="" style="display: none; "></div>
    <div id="imgPreviewContainer2" style="position: absolute; top: 925px; left: 320px; display: none; " class="">
        <img style="width: 200px; display: none; " src=""></div>
    <div id="imgPreviewWithStyles" style="position: absolute; top: 1272px; left: 321px; display: none; " class="">
        <img style="height: 200px; opacity: 1; display: none; " src=""></div>
    <div id="imgPreviewWithStyles2" style="display: none; position: absolute; "><img style="height: 200px; "></div>
    <div id="imgPreviewWithStyles3" style="display: none; position: absolute; "><img style="height: 200px; "></div>

</div>
</body>
</html>
